# Generated by go2rpm
# Needs network
%bcond_with check

# https://github.com/src-d/go-git
%global goipath         gopkg.in/src-d/go-git.v4
%global forgeurl        https://github.com/src-d/go-git
Version:                4.13.1

%gometa

# Remove in F33:
%global godevelheader %{expand:
Obsoletes:      golang-gopkg-src-d-git-4-devel < 4.2.1-5
}

%global common_description %{expand:
A highly extensible git implementation in pure go.}

%global golicenses      LICENSE
%global godocs          _examples CODE_OF_CONDUCT.md COMPATIBILITY.md\\\
                        CONTRIBUTING.md README.md

Name:           %{goname}
Release:        12%{?dist}
Summary:        A highly extensible git implementation in pure go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/emirpasic/gods/trees/binaryheap)
BuildRequires:  golang(github.com/jbenet/go-context/io)
BuildRequires:  golang(github.com/jessevdk/go-flags)
BuildRequires:  golang(github.com/kevinburke/ssh_config)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(github.com/sergi/go-diff/diffmatchpatch)
BuildRequires:  golang(github.com/src-d/gcfg)
BuildRequires:  golang(github.com/xanzy/ssh-agent)
BuildRequires:  golang(golang.org/x/crypto/openpgp)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/crypto/ssh/knownhosts)
BuildRequires:  golang(golang.org/x/net/proxy)
BuildRequires:  golang(gopkg.in/check.v1)
BuildRequires:  golang(gopkg.in/src-d/go-billy.v4)
BuildRequires:  golang(gopkg.in/src-d/go-billy.v4/osfs)
BuildRequires:  golang(gopkg.in/src-d/go-billy.v4/util)
BuildRequires:  golang(gopkg.in/src-d/go-git-fixtures.v3)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/armon/go-socks5)
BuildRequires:  golang(github.com/gliderlabs/ssh)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(golang.org/x/crypto/openpgp/armor)
BuildRequires:  golang(golang.org/x/crypto/openpgp/errors)
BuildRequires:  golang(golang.org/x/crypto/ssh/testdata)
BuildRequires:  golang(golang.org/x/text/unicode/norm)
BuildRequires:  golang(gopkg.in/src-d/go-billy.v4/memfs)
BuildRequires:  git-core
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cli/go-git; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc _examples CODE_OF_CONDUCT.md COMPATIBILITY.md CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 4.13.1-9
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.13.1-8
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 4.13.1-7
- Rebuilt for CVE-2022-27191

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 03 20:56:06 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 4.13.1-1
- Release 4.13.1

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.11.0-2
- Add Obsoletes for old name

* Sat Apr 27 22:12:53 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 4.11.0-1
- Release 4.11.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 4.2.1-3
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 30 2018 Dominik Mierzejewski <dominik@greysector.net> - 4.2.1-1
- First package for Fedora
